## ros-indigo-mongodb-store 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mongodb_store)

# for ROS indigo compile without c++11 support
if(DEFINED ENV{ROS_DISTRO})
  if(NOT $ENV{ROS_DISTRO} STREQUAL "indigo")
    add_compile_options(-std=c++11)
    message(STATUS "Building with C++11 support")
  else() 
    message(STATUS "ROS Indigo: building without C++11 support")
  endif()
else()
  message(STATUS "Environmental variable ROS_DISTRO not defined, checking OS version")
  file(STRINGS /etc/os-release RELEASE_CODENAME
		REGEX "VERSION_CODENAME=")
  if(NOT ${RELEASE_CODENAME} MATCHES "trusty") 
    add_compile_options(-std=c++11)
    message(STATUS "OS distro is not trusty: building with C++11 support")
  else()
    message(STATUS "Ubuntu Trusty: building without C++11 support")
  endif()
endif()

find_package(catkin REQUIRED COMPONENTS roscpp message_generation rospy std_msgs std_srvs mongodb_store_msgs topic_tools libmongocxx_ros)

#find_package(MongoClient REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html

catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################


## Generate services in the 'srv' folder
add_service_files(
  FILES
  GetParam.srv
  SetParam.srv
  MongoFind.srv
  MongoUpdate.srv
  MongoInsert.srv
)


## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need


catkin_package(
 INCLUDE_DIRS include
 LIBRARIES message_store #${MongoClient_INCLUDE_DIR}
 CATKIN_DEPENDS libmongocxx_ros mongodb_store_msgs topic_tools
# DEPENDS MongoClient
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  #${MongoClient_INCLUDE_DIR} 
)

link_directories(${catkin_LINK_DIRS})
link_directories(${MongoClient_LINK_DIRS})

add_library(message_store src/message_store.cpp )

add_executable(example_mongodb_store_cpp_client src/example_mongodb_store_cpp_client.cpp)
add_executable(example_multi_event_log src/example_multi_event_log.cpp)
# add_executable(pc_test src/point_cloud_test.cpp)


add_dependencies(example_mongodb_store_cpp_client mongodb_store_msgs_generate_messages_cpp )
add_dependencies(message_store mongodb_store_msgs_generate_messages_cpp )

target_link_libraries(message_store
  #${MongoClient_LIBRARIES}
  ${catkin_LIBRARIES}
)



# Specify libraries to link a library or executable target against
target_link_libraries(example_mongodb_store_cpp_client
  message_store
  #${MongoClient_LIBRARIES}  
  ${catkin_LIBRARIES}  
)

target_link_libraries(example_multi_event_log
  message_store
  #${MongoClient_LIBRARIES}  
  ${catkin_LIBRARIES}  
)

target_link_libraries(example_multi_event_log
  message_store
  #${MongoClient_LIBRARIES}  
  ${catkin_LIBRARIES}  
)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(DIRECTORY scripts/
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/mongodb_store/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS example_mongodb_store_cpp_client example_multi_event_log message_store #pc_test
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)

  add_rostest(tests/message_store.test)
  add_rostest(tests/replication.test)

  add_executable(message_store_cpp_test tests/message_store_cpp_test.cpp)

  target_link_libraries(message_store_cpp_test
    message_store 
    ${OPENSSL_LIBRARIES} 
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    gtest
  ) 

  add_rostest(tests/message_store_cpp_client.test)

endif()

=== debian/changelog ===
ros-indigo-mongodb-store (0.4.2-0trusty) trusty; urgency=high

  * instead of lsb-release read /etc/os-version from CMake to find OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 04 Jun 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.4.1-0trusty) trusty; urgency=high

  * check if env. var. exists if not decide based on OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 29 May 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.4.0-0trusty) trusty; urgency=high

  * if compiler supports it use C++11
  * Contributors: Ferenc Balint-Benczedi

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 23 May 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.3.8-0trusty) trusty; urgency=high

  * Merge pull request #220 <https://github.com/strands-project/mongodb_store/issues/220> from furushchev/replication-with-query
    Replication with query
  * mongodb_store: support filter by query on moving entries
  * Merge pull request #218 <https://github.com/strands-project/mongodb_store/issues/218> from furushchev/test-replicator
    Test replication functionality
  * mongodb_store: avoid to use rosrun in test code
  * mongodb_store: test replication
  * mongodb_server: minor bugfix
  * Merge pull request #213 <https://github.com/strands-project/mongodb_store/issues/213> from furushchev/fix/encode-utf8
    mongodb_store: encode utf-8 on filling rosmsg
  * Merge remote-tracking branch 'origin/kinetic-devel' into fix/encode-utf8
  * Import connection failure
  * Merge pull request #214 <https://github.com/strands-project/mongodb_store/issues/214> from furushchev/option-query-extra
    mongodb_store: message_store_node.py: deprecate using extra servers
  * Merge remote-tracking branch 'origin/kinetic-devel' into option-query-extra
    Conflicts:
    mongodb_store/scripts/message_store_node.py
  * Merge pull request #215 <https://github.com/strands-project/mongodb_store/issues/215> from furushchev/remove-dup-projection
    mongodb_store: Remove duplicated codes for projection
  * mongodb_store: use launch for test
  * mongodb_store: remove duplicated codes for querying with projection
  * mongodb_store: message_store_node.py: deprecate using extra servers
  * mongodb_store: encode utf-8 on filling rosmsg
  * Merge pull request #212 <https://github.com/strands-project/mongodb_store/issues/212> from furushchev/fix-query-extra
    fix error on querying extra servers
  * fix error on querying extra servers
  * Contributors: Furushchev, Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.3.7-0trusty) trusty; urgency=high

  * Merge pull request #207 <https://github.com/strands-project/mongodb_store/issues/207> from furushchev/fix-mongocxx
    Use system mongocxx client if possible
  * Merge pull request #205 <https://github.com/strands-project/mongodb_store/issues/205> from furushchev/pymongo3
    Support Pymongo 3
  * libmongocxx_ros: try to use system mongocxx lib if possible
  * Merge pull request #206 <https://github.com/strands-project/mongodb_store/issues/206> from Pikrass/update-rosparam
    Store the updated value to rosparam when calling set_param
  * Store the updated value to rosparam when calling set_param
  * mongodb_store.util: use rospy.log functions instead of print
  * config_manager.py: fix error on exit
  * support pymongo 3.X
  * Contributors: Bastien Scher, Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Dec 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.6-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 14 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.5-0trusty) trusty; urgency=high

  * Merge pull request #203 <https://github.com/strands-project/mongodb_store/issues/203> from strands-project/marc-hanheide-patch-3
    added topic_tools`as `CATKIN_DEPEND
  * topic_tools as run_depend
  * added topic_tools`as `CATKIN_DEPEND
  * Contributors: Marc Hanheide

 -- Chris Burbridge <cburbridge@gmail.com>  Sun, 03 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.4-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Sun, 03 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.3-0trusty) trusty; urgency=high

  * Merge pull request #200 <https://github.com/strands-project/mongodb_store/issues/200> from strands-project/shapeshifter
    mongodb_store: support shapeshifter
  * Fixed missing space.
  * mongodb_store: support shapeshifter
  * Merge pull request #195 <https://github.com/strands-project/mongodb_store/issues/195> from mbeneto/kinetic-devel
    Added keep_trash parameter
  * Added keep_trash parameter
    This parameter enables the user to select to store the items deleted into the trash (default) or not.
  * Contributors: Furushchev, Nick Hawes, mbeneto

 -- Chris Burbridge <cburbridge@gmail.com>  Sat, 02 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.2-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 31 Aug 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.1-0trusty) trusty; urgency=high

  * remove mongoclient libs from CMakeLists
  * Contributors: Bruno Lacerda

 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 24 Aug 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.0-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 24 Aug 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.2.2-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.2.1-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.2.0-0trusty) trusty; urgency=high

  * dependencies fixing
  * some attempts to build libmongocxx internally
  * indigo-0.1.30
  * updated Changelogs
  * [package.xml] Add link to devel repository


=== debian/control ===
Source: ros-indigo-mongodb-store
Section: misc
Priority: extra
Maintainer: Nick Hawes <nickh@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, mongodb, python-catkin-pkg, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-libmongocxx-ros, ros-indigo-message-generation, ros-indigo-mongodb-store-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-topic-tools
Homepage: http://www.ros.org/wiki/mongodb_store
Standards-Version: 3.9.2

Package: ros-indigo-mongodb-store
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mongodb, python-pymongo, ros-indigo-geometry-msgs, ros-indigo-libmongocxx-ros, ros-indigo-mongodb-store-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-topic-tools
Description: A package to support MongoDB-based storage and analysis for data from a ROS system, eg.
 saved messages, configurations etc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mongodb-store//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
